FsImageProto.INodeSection.INodeSymlinkOrBuilder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, class: INodeSection, interface: INodeSymlinkOrBuilder

Package org.apache.hadoop.hdfs.server.namenode

# Interface FsImageProto.INodeSection.INodeSymlinkOrBuilder

All Superinterfaces:
  `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `FsImageProto.INodeSection.INodeSymlink`, `FsImageProto.INodeSection.INodeSymlink.Builder`

Enclosing class:
  FsImageProto.INodeSection

public static interface FsImageProto.INodeSection.INodeSymlinkOrBuilder extends org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getAccessTime()`
  `optional uint64 accessTime = 4;`
  `long`
  `getModificationTime()`
  `optional uint64 modificationTime = 3;`
  `long`
  `getPermission()`
  `optional fixed64 permission = 1;`
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getTarget()`
  `optional bytes target = 2;`
  `boolean`
  `hasAccessTime()`
  `optional uint64 accessTime = 4;`
  `boolean`
  `hasModificationTime()`
  `optional uint64 modificationTime = 3;`
  `boolean`
  `hasPermission()`
  `optional fixed64 permission = 1;`
  `boolean`
  `hasTarget()`
  `optional bytes target = 2;`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasPermission

    boolean hasPermission()
    `optional fixed64 permission = 1;`
    Returns:
      Whether the permission field is set.

  - ### getPermission

    long getPermission()
    `optional fixed64 permission = 1;`
    Returns:
      The permission.

  - ### hasTarget

    boolean hasTarget()
    `optional bytes target = 2;`
    Returns:
      Whether the target field is set.

  - ### getTarget

    org.apache.hadoop.thirdparty.protobuf.ByteString getTarget()
    `optional bytes target = 2;`
    Returns:
      The target.

  - ### hasModificationTime

    boolean hasModificationTime()
    `optional uint64 modificationTime = 3;`
    Returns:
      Whether the modificationTime field is set.

  - ### getModificationTime

    long getModificationTime()
    `optional uint64 modificationTime = 3;`
    Returns:
      The modificationTime.

  - ### hasAccessTime

    boolean hasAccessTime()
    `optional uint64 accessTime = 4;`
    Returns:
      Whether the accessTime field is set.

  - ### getAccessTime

    long getAccessTime()
    `optional uint64 accessTime = 4;`
    Returns:
      The accessTime.